# $Revision: 1.27 $, $Date: 2011/09/06 15:39:14 $
Summary:	Tool for creating fonts.dir for TrueType fonts
Summary(pl.UTF-8):	Narzędzie do tworzenia plików fonts.dir dla fontów TrueType
Name:		ttmkfdir
Version:	3.0.9
Release:	1
Epoch:		1
License:	LGPL v2+
Group:		Applications/File
Source0:	ftp://ftp.debian.org//debian/pool/main/t/ttmkfdir/%{name}_%{version}.orig.tar.gz
# Source0-md5:	c22b8b7f8401fd924200c8e0e04a78f9
Source1:	%{name}2.1
Patch0:		%{name}-3.0.9-cpp.patch
Patch1:		%{name}-3.0.9-zlib.patch
Patch2:		%{name}-3.0.9-fix-freetype217.patch
Patch3:		%{name}-3.0.9-namespace.patch
Patch4:		%{name}-3.0.9-fix-crash.patch
Patch5:		%{name}-3.0.9-warnings.patch
Patch6:		%{name}-3.0.9-segfaults.patch
Patch7:		%{name}-3.0.9-encoding-dir.patch
Patch8:		%{name}-3.0.9-font-scale.patch
Patch9:		%{name}-3.0.9-bug434301.patch
BuildRequires:	flex
BuildRequires:	freetype-devel >= 2.0.1
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
Provides:	ttmkfdir2
Obsoletes:	ttmkfdir2
# our freetype1 < 1.3.1-4 (formerly freetype-1.x.x) contained old ttmkfdir
Conflicts:	freetype < 2.0.1
Conflicts:	freetype1 < 1.3.1-4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This program creates 'font.dir' files for TrueType fonts. These files
are required if you want to use TrueType fonts with X Window.

%description -l pl.UTF-8
Ten program tworzy pliki 'font.dir' dla fontów TrueType. Są one
potrzebne, aby móc korzystać z fontów TrueType w X Window.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1

%build
%{__make} \
	CXX="%{__cxx}" \
	DEBUG="%{rpmcflags} %{rpmcppflags}" \
	FREETYPE_BASE="/usr/include/freetype2" \
	FREETYPE_LIB="%{_libdir}/libfreetype.la"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_mandir}/man1

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_mandir}/man1/ttmkfdir.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ttmkfdir.spec,v $
Revision 1.27  2011/09/06 15:39:14  arekm
- update to 3.0.9 (from debian) + patches (from fedora)

Revision 1.26  2010/04/01 22:43:44  pawelz
- fix build on x86_64 (lib -> lib64)

Revision 1.25  2010/04/01 22:35:51  pawelz
- added patch: #include <string.h> (thx sparky)
- verbose %files

Revision 1.24  2010/04/01 22:22:56  pawelz
- added URL
- working Source0

Revision 1.23  2007/02/12 22:09:18  glen
- tabs in preamble

Revision 1.22  2007/02/12 01:06:35  baggins
- converted to UTF-8

Revision 1.21  2005/06/25 22:47:07  pascalek
- update to 2.20021109

Revision 1.20  2005/04/04 15:06:07  glen
- BR: libtool, but fails anyway

Revision 1.19  2004/09/25 11:20:55  radek
- cosmetics (spaces -> tabs)

Revision 1.18  2003/05/25 11:01:07  malekith
- massive attack, adding Source-md5

Revision 1.17  2003/05/25 06:27:28  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.16  2002/10/04 19:54:52  qboosh
- nofileswithspaces patch - ignore fonts which filenames contain spaces - they
  would break fonts.dir
- release 5

Revision 1.15  2002/10/02 09:56:19  qboosh
- fixed Source names, fixed build, added "2." to version
-  Epoch=1 (no strict relation between "none" and current version)

Revision 1.14  2002/09/30 00:21:44  marcus
- merge ttmkfdir2.spec into ttmkfdir.spec
(now we use freetype-2 version)

Revision 1.5  2002/06/16 15:03:48  qboosh
- fixed man page name, release 4

Revision 1.4  2002/06/16 08:24:06  filon
- added manpage to files
- release 3

Revision 1.3  2002/05/30 20:22:35  qboosh
- updated freetype2-port+cjk patch from rawhide (to work with gcc 3.1 or so?)
- added man page from ttmkfdir (with changes to reflect ttmkfdir2 options)
- added encodings patch (to fix parsing some *.enc and segfault on gbk-0.enc)
- release 2, STBR

Revision 1.2  2002/04/06 21:17:42  qboosh
- conflicts with freetype1 < 1.3.1-4 (which contained old ttmkfdir)

Revision 1.1  2002/04/06 20:14:19  qboosh
- new: ttmkfdir2 ported to freetype2; patches from XFree86 from rawhide
